FWParserInternal::State Struct Reference

Internal: the state of a FWParser. More...

## Public Member Functions

| State ()
| constructor More...
bool | addCorrespondance (int docId, int fileId)
| insert a docId fileId in the correspondance map More...
int | getFileZoneId (int docId) const
| return the file zone id ( if found or -1) More...

## Public Attributes

bool | m_pageSpanSet
| a flag to know if the page span has been filled More...
int | m_zoneFlagsId [3]
| the list of main zone flags id More...
FWStruct::EntryPtr | m_fileZoneList
| the list of file zone position More...
FWStruct::EntryPtr | m_fileZoneFlagsList
| the list of file zone flags More...
std::vector< DocZoneStruct > | m_docZoneList
| the list of the documents zone list More...
std::map< int, int > | m_docFileIdMap
| the correspondance doc id -> file id More...
std::map< int, int > | m_fileDocIdMap
| the correspondance file id -> doc id More...
int | m_biblioId
| the bibliography id More...
std::multimap< int, FWStruct::EntryPtr > | m_entryMap
| zoneId -> entry More...
std::map< int, int > | m_variableRedirectMap
| redirection docId -> variable docId More...
std::map< int, ReferenceCalledData > | m_referenceRedirectMap
| redirection docId -> reference docId More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a FWParser.

## Constructor & Destructor Documentation

FWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

bool FWParserInternal::State::addCorrespondance | ( | int | docId,
|  | int | fileId
| ) |  |

inline

insert a docId fileId in the correspondance map

int FWParserInternal::State::getFileZoneId | ( | int | docId | ) | const

inline

return the file zone id ( if found or -1)

## Member Data Documentation

int FWParserInternal::State::m_actPage

the actual page

int FWParserInternal::State::m_biblioId

the bibliography id

std::map<int,int> FWParserInternal::State::m_docFileIdMap

the correspondance doc id -> file id

Referenced by addCorrespondance(), and getFileZoneId().

std::vector<DocZoneStruct> FWParserInternal::State::m_docZoneList

the list of the documents zone list

Referenced by addCorrespondance().

std::multimap<int, FWStruct::EntryPtr > FWParserInternal::State::m_entryMap

zoneId -> entry

Referenced by addCorrespondance().

std::map<int,int> FWParserInternal::State::m_fileDocIdMap

the correspondance file id -> doc id

Referenced by addCorrespondance().

FWStruct::EntryPtr FWParserInternal::State::m_fileZoneFlagsList

the list of file zone flags

FWStruct::EntryPtr FWParserInternal::State::m_fileZoneList

the list of file zone position

int FWParserInternal::State::m_footerHeight

the footer height if known

int FWParserInternal::State::m_headerHeight

the header height if known

int FWParserInternal::State::m_numPages

the number of page of the final document

bool FWParserInternal::State::m_pageSpanSet

a flag to know if the page span has been filled

std::map<int,ReferenceCalledData> FWParserInternal::State::m_referenceRedirectMap

redirection docId -> reference docId

std::map<int,int> FWParserInternal::State::m_variableRedirectMap

redirection docId -> variable docId

int FWParserInternal::State::m_zoneFlagsId[3]

the list of main zone flags id

Referenced by State().

The documentation for this struct was generated from the following file:

- FWParser.cxx